Subject: bug#44743: native-comp: confirm-exit-emacs warns about active processes when compiling

From: Stefan Kangas <[email-masked]>
Date: Thu, 25 Feb 2021 18:45:08 -0600

Andrea Corallo <[email-masked]> writes:

> IIUC this bug is "just" about deciding what's the best default behavior
> regarding requiring confirmation or not for killing running async
> compile processes when exiting Emacs.
>
> As my understanding is that Eli's preference is matching the current
> implementation (requiring it) I'm wondering if we can close this bug.

FWIW, I agree with your previous assessment that transparency by default
is the best choice here.

Ideally, nativecomp would not change how Emacs works in any user visible
way (besides better performance).  But in practice, due to the way this
all works, there will necessarily have to be at least some differences.

The user visible change in behavior we discuss here is not necessary,
AFAIU, but completely avoidable.  It feels to me like we leave our guts
hanging out on purpose.